Bug 433961 - blobby failed massrebuild attempt for GCC 4.3
blobby failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: blobby (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:50 EST by Jesse Keating
Modified: 2013-01-09 21:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 10:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:50:17 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=435866
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-22 08:59:08 EST
Errors x86_64 in build.log:

NetworkState.cpp: In member function 'virtual void NetworkSearchState::step()':
NetworkState.cpp:89: error: no matching function for call to
'find(__gnu_cxx::__normal_iterator<ServerInfo*, std::vector<ServerInfo,
std::allocator<ServerInfo> > >, __gnu_cxx::__normal_iterator<ServerInfo*,
std::vector<ServerInfo, std::allocator<ServerInfo> > >, ServerInfo&)'
NetworkState.cpp:103: warning: suggest parentheses around assignment used as
truth value
NetworkState.cpp:145: warning: comparison between signed and unsigned integer
expressions
NetworkState.cpp:188: warning: comparison between signed and unsigned integer
expressions
NetworkState.cpp: In member function 'virtual void NetworkGameState::step()':
NetworkState.cpp:269: warning: suggest parentheses around assignment used as
truth value
NetworkState.cpp:300: warning: dereferencing type-punned pointer will break
strict-aliasing rules
NetworkState.cpp:315: warning: dereferencing type-punned pointer will break
strict-aliasing rules
NetworkState.cpp:343: warning: suggest parentheses around assignment used as
truth value
NetworkState.cpp: In member function 'virtual void NetworkHostState::step()':
NetworkState.cpp:550: warning: suggest parentheses around assignment used as
truth value
make[2]: *** [NetworkState.o] Error 1
Comment 2 Bug Zapper 2008-05-14 01:20:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Aurelien Bompard 2008-06-11 10:48:00 EDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.